package polytech.android.e6201;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class IlluminometerActivity extends AppCompatActivity {
    // 照度センサーのイベントリスナ
    private final LightSensorEventListener sensorEventListener = new LightSensorEventListener();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_illuminometer);

        // 「戻る」ボタン
        Button backButton = (Button) findViewById(R.id.backButton3);
        backButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });
    }

    @Override
    protected void onResume() {
        super.onResume();

        // SensorManagerを取得
        SensorManager sensorManager = (SensorManager) getSystemService(Context.SENSOR_SERVICE);

        // SensorManagerから照度センサを取得
        Sensor sensor = sensorManager.getDefaultSensor(Sensor.TYPE_LIGHT);

        // SensorManagerにイベントリスナを登録
        sensorManager.registerListener(sensorEventListener, sensor, SensorManager.SENSOR_DELAY_UI);
    }

    @Override
    protected void onPause() {
        super.onPause();

        // SensorManagerを取得します。
        SensorManager sensorManager = (SensorManager) getSystemService(Context.SENSOR_SERVICE);

        // SensorManagerからイベントリスナの登録を解除します。
        sensorManager.unregisterListener(sensorEventListener);
    }

    private class LightSensorEventListener implements SensorEventListener {

        @Override
        public void onSensorChanged(SensorEvent event) {
            float light = event.values[0];

            // 照度の測定値を表示
            TextView textLux = (TextView) findViewById(R.id.luxTextView);
            textLux.setText(String.valueOf(light));

            // 照度の評価を表示（判定基準による）
            TextView textJudge = (TextView) findViewById(R.id.judgeTextView);
            if (light >= 300) {
                textJudge.setText(R.string.lx_level1);
            } else if (light >= 150) {
                textJudge.setText(R.string.lx_level2);
            } else if (light >= 70) {
                textJudge.setText(R.string.lx_level3);
            } else {
                textJudge.setText(R.string.lx_level4);
            }
        }

        @Override
        public void onAccuracyChanged(Sensor sensor, int accuracy) {
            /* DO NOTHING */
        }
    }
}
