package polytech.android.e6201;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class NotificationActivity extends AppCompatActivity implements View.OnClickListener {
    Button startButton;
    Button stopButton;
    Button backButton;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_notification);

        startButton = (Button) findViewById(R.id.startButton);
        stopButton = (Button) findViewById(R.id.stopButton);
        backButton = (Button) findViewById(R.id.backButton4);

        startButton.setOnClickListener(this);
        stopButton.setOnClickListener(this);
        backButton.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        // サービスを起動するためのIntentを作成
        Intent intent = new Intent(this, NotificationService.class);

        if (v == startButton) {  //「開始」ボタン
            // サービスの開始（Notificationを表示させる）
            intent.putExtra("notification", "show");
            startService(intent);

            // ボタンの調整
            startButton.setEnabled(false);
            stopButton.setEnabled(true);

        } else if (v == stopButton) {  //「停止」ボタン
            // サービスの開始（Notificationを消す）
            intent.putExtra("notification", "hide");
            startService(intent);

            // サービスの停止
            stopService(intent);

            // ボタンの調整
            startButton.setEnabled(true);
            stopButton.setEnabled(false);

        } else if (v == backButton) {  //「戻る」ボタン
            finish();
        }
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();

        // サービスの停止
        stopService(new Intent(getApplicationContext(), NotificationService.class));
    }
}
